<ng-container *ngIf="!useU2F || isExtension">
<app-login-wrapper
  [isPopup]="isPopup"
  (clickLink)="goToLogin.emit()"
  linkText="Return to Login"
>
  <form
    novalidate
    [ngrxFormState]="form"
    (submit)="onSubmit.emit()"
    class="auth-form__form"
  >
    <app-non-field-messages
      *ngIf="errorMessage"
      [messages]="[errorMessage]"
    ></app-non-field-messages>

    <app-text-field
      label="Verification Code"
      [ngrxFormControl]="form.controls.otp"
      [isFormSubmitted]="form.isSubmitted"
    ></app-text-field>

    <ul
      *ngIf="form.isInvalid && form.isSubmitted"
      class="form-field__error-list"
    >
      <li *ngIf="form.errors._otp" class="form-field__error">
        Enter the 6 digit code from your authenticator app
      </li>
    </ul>

    <div class="auth-form__actions">
      <button
        id="submit"
        class="button button--large button--green"
        type="submit"
      >
        Log in
      </button>

      <progress-indicator
        [inProgress]="hasStarted"
        inProgressText="Logging In"
        [completed]="hasFinished"
        completedText="Logged In"
      ></progress-indicator>
    </div>
  </form>
  <div *ngIf="hasU2F && !isExtension" class="switch-method">
  <app-text-link
    caret="right"
    [link]=""
    (click)="switchMfaMethod.emit()"
    >Log in with security key instead</app-text-link
  >
  </div>
</app-login-wrapper>
</ng-container>
